package com.nisum.products_producer.util;

import com.nisum.products_producer.dto.ProductDto;
import com.nisum.products_producer.model.Product;
import org.springframework.beans.BeanUtils;

public class AppUtil {

    public static ProductDto toDto(Product product){

        ProductDto dto= new ProductDto();
        BeanUtils.copyProperties(product,dto);
        return dto;
    }

    public static Product toEntity(ProductDto productDto){

        Product product = new Product();
        BeanUtils.copyProperties(productDto, product);
        return product;
    }
}
