package com.nisum.products_producer.service;

import com.nisum.products_producer.dto.ProductDto;
import com.nisum.products_producer.model.Product;
import reactor.core.publisher.Flux;
import reactor.core.publisher.Mono;

public interface ProductService {

    public Mono<ProductDto> saveProduct(Mono<ProductDto> productDtoFlux);
    public Flux<ProductDto> getAllProducts();
}
